package org.steveshipway.blueprints.directive;

import java.util.List;
import java.util.Random;
import java.util.Iterator;
import java.util.LinkedList;

import org.apache.logging.log4j.Logger;

import net.minecraft.world.World;

//Minecraft 1.7
import org.steveshipway.blueprints.util17.*;
//Minecraft 1.8
//import org.steveshipway.blueprints.util18.*;
//import net.minecraft.util.BlockPos;

public class RandomDirective extends Directive {
	private List directives = null;
	
	public RandomDirective(List dl, Logger logger) {
		if( dl == null ) {
    		logger.error("No secondary directive given to RANDOM directive");
			return;
		}
		directives = dl;
	}
	
	@Override
	public boolean build(World world, BlockPos location, int r, Logger logger) {
		Random rnd = new Random();
		boolean rv;
		if( directives == null ) {
    		logger.error("No directive set given to RANDOM directive");
			return false;
		}
		int n = rnd.nextInt( directives.size() );
		rv = ((Directive) directives.get(n)).build(world,location,r,logger);
		if(!rv) {
			logger.error("RANDOM call failed with step ["+((Directive) directives.get(n)).asText()+"]");
		}
		return rv;
	}
	
	@Override
	public String asText() {
		String s;
		if( directives == null) {
			return "# RANDOM 0";
		}
		s = "RANDOM "+this.directives.size();
		Iterator i = this.directives.iterator();
		while( i.hasNext() ) {
			Directive d = (Directive) i.next();
			s = s+"\n  "+d.asText();
		}
		return s;
	}
}
