package org.steveshipway.blueprints.util17;

import net.minecraft.util.ChunkCoordinates;

// Utility class for compatibility with MC 1.8
public class BlockPos {
	int x,y,z;
	public BlockPos() {
		x = 0; y = 0; z = 0;
	}
	public BlockPos(int nx, int ny, int nz ) {
		x = nx; y = ny; z = nz;
	}
	public BlockPos( BlockPos bp ) {
		x = bp.getX();
		y = bp.getY();
		z = bp.getZ();
	}
	public BlockPos( ChunkCoordinates cc ) {
		x = cc.posX;
		y = cc.posY;
		z = cc.posZ;
	}
	public int getX() { return x; }
	public int getY() { return y; }
	public int getZ() { return z; }
	public BlockPos up() {
		BlockPos nbp = new BlockPos( this.x, this.y+1, this.z );
		return nbp;
	}
	public BlockPos down() {
		BlockPos nbp = new BlockPos( this.x, this.y-1, this.z );
		return nbp;
	}
	public BlockPos north() {
		BlockPos nbp = new BlockPos( this.x, this.y, this.z+1 );
		return nbp;
	}
	public BlockPos south() {
		BlockPos nbp = new BlockPos( this.x, this.y, this.z-1 );
		return nbp;
	}
	public BlockPos east() {
		BlockPos nbp = new BlockPos( this.x-1, this.y, this.z );
		return nbp;
	}
	public BlockPos west() {
		BlockPos nbp = new BlockPos( this.x+1, this.y, this.z );
		return nbp;
	}
}
