package org.steveshipway.cheshirecat.block;

import java.util.Random;

import org.steveshipway.cheshirecat.CCBlocks;
import org.steveshipway.cheshirecat.lib.Constants;

import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.Item;

// Minecraft 1.7
import cpw.mods.fml.common.registry.GameRegistry;
// Minecraft 1.8
//import net.minecraftforge.fml.common.registry.GameRegistry;

// define the AlanBlock.  It is a bit like rock.
public class AlanBlock extends Block {
    private String name = "alanBlock";

	// constructor
    public AlanBlock(){
        super(Material.rock);
        this.setCreativeTab(CreativeTabs.tabBlock);  // which creative mode tab
        this.setBlockName(Constants.MODID + "_" + name); // intenal blockname
        this.setBlockTextureName(Constants.MODID + ":" + name); // texture filename
        this.setLightLevel(0.5F); // 1=full sunlight
        this.setStepSound(soundTypeGlass);  // sound family
        this.setResistance(200.0F);  // resistance to explosions; stone=10, obsidian=2000
        this.setHardness(2.0F); // how long to break; stone=1.5, obsidian=50
        this.setHarvestLevel("pickaxe", 2); // required tool: 0 is wood, 1 iron, 2 diamond, 3 obsidian
        this.setHarvestLevel("wand",0,0);
        // setMaxStackSize(8);
        
        GameRegistry.registerBlock(this, name);
    }
    
    @Override
    public Item getItemDropped(int metadata, Random random, int fortune) {
        return Item.getItemFromBlock(this);
    }
    @Override
    public int quantityDropped(Random r)
    {
        return r.nextInt(3);
    }
}
